/* 
	This file (eventlogmsg.mc) producting a same name header (eventlogmsg.h) file by mc.exe tool.
	Include eventlogmsg.h file to your code for mapping messages placed in dll resources in MESSAGETABLE.

	For more info, see
	ms-help://MS.VSCC.v80/MS.MSDN.v80/MS.WIN32COM.v10.en/tools/tools/mc_command_line.htm
	ms-help://MS.VSCC.v80/MS.MSDN.v80/MS.WIN32COM.v10.en/tools/tools/message_text_files.htm
	ms-help://MS.VSCC.v80/MS.MSDN.v80/MS.WIN32COM.v10.en/tools/tools/sample_message_text_file.htm

	For one step building resource dll, place this file to porject and use
	custom Build Steps.

	Command Line:
		mc -a -U $(InputFileName)
		rc -r /l 0x419 $(InputName).rc
		link -dll -noentry -out:$(InputName).dll $(InputName).res
		erase /q msg*.bin

	Outputs:
		$(InputName).h
		$(InputName).rc
		$(InputName).res
		$(InputName).dll
 
*/
//
//  Values are 32 bit values layed out as follows:
//
//   3 3 2 2 2 2 2 2 2 2 2 2 1 1 1 1 1 1 1 1 1 1
//   1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0 9 8 7 6 5 4 3 2 1 0
//  +---+-+-+-----------------------+-------------------------------+
//  |Sev|C|R|     Facility          |               Code            |
//  +---+-+-+-----------------------+-------------------------------+
//
//  where
//
//      Sev - is the severity code
//
//          00 - Success
//          01 - Informational
//          10 - Warning
//          11 - Error
//
//      C - is the Customer code flag
//
//      R - is a reserved bit
//
//      Facility - is the facility code
//
//      Code - is the facility's status code
//
//
// Define the facility codes
//
#define FACILITY_SYSTEM                  0x0
#define FACILITY_STUBS                   0x3
#define FACILITY_RUNTIME                 0x2
#define FACILITY_IO_ERROR_CODE           0x4


//
// Define the severity codes
//
#define STATUS_SEVERITY_WARNING          0x2
#define STATUS_SEVERITY_SUCCESS          0x0
#define STATUS_SEVERITY_INFORMATIONAL    0x1
#define STATUS_SEVERITY_ERROR            0x3


//
// MessageId: MSG_INFO
//
// MessageText:
//
//  %1
//
#define MSG_INFO                         ((DWORD)0x40000000L)

//
// MessageId: MSG_WARNING
//
// MessageText:
//
//  %1
//
#define MSG_WARNING                      ((DWORD)0x80000001L)

//
// MessageId: MSG_ERROR
//
// MessageText:
//
//  %1
//
#define MSG_ERROR                        ((DWORD)0xC0000002L)

//
// MessageId: MSG_SUCCESS
//
// MessageText:
//
//  %1
//
#define MSG_SUCCESS                      ((DWORD)0x00000003L)

